VSTGUI: IDataPackage Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
IDataPackage Class Referenceabstract

interface for drag&drop and clipboard data More...

Inheritance diagram for IDataPackage:

## Public Types
enum | Type { kFilePath = 0, kText, kBinary, kError = -1 }

## Public Member Functions
virtual uint32_t | getCount () const =0
virtual uint32_t | getDataSize (uint32_t index) const =0
virtual Type | getDataType (uint32_t index) const =0
virtual uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const =0
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Member Functions
| IDataPackage ()

## Detailed Description

interface for drag&drop and clipboard data

## Member Enumeration Documentation

enum Type

Enumerator
kFilePath | File type (UTF-8 C-String)
kText | Text type (UTF-8 C-String)
kBinary | Binary type.
kError |

## Constructor & Destructor Documentation

IDataPackage | ( |  | ) |
| inlineprotected

## Member Function Documentation

virtual uint32_t getCount | ( |  | ) | const
| pure virtual

Implemented in CDropSource, and StringDataPackage< AsFile >.

virtual uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type
| ) |  | const
| pure virtual

Implemented in CDropSource, and StringDataPackage< AsFile >.

virtual uint32_t getDataSize | ( | uint32_t | index | ) | const
| pure virtual

Implemented in CDropSource, and StringDataPackage< AsFile >.

virtual Type getDataType | ( | uint32_t | index | ) | const
| pure virtual

Implemented in CDropSource, and StringDataPackage< AsFile >.

The documentation for this class was generated from the following file:

- idatapackage.h